Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.uci.ics.jung.visualization
Class ZoomPanGraphMouse

    java.lang.Object
      edu.uci.ics.jung.visualization.control.PluggableGraphMouse
          edu.uci.ics.jung.visualization.ZoomPanGraphMouse

All Implemented Interfaces:
  EventListener, MouseListener, MouseMotionListener, MouseWheelListener, VisualizationViewer.GraphMouse

public class ZoomPanGraphMouse
extends PluggableGraphMouse

ZoomPanGraphMouse is a PluggableGraphMouse class that includes zoom via the mouse wheel, and pan via a mouse drag

Author:
  Tom Nelson

Field Summary
`protected ScalingGraphMousePlugin` | `scalingPlugin`
`protected TranslatingGraphMousePlugin` | `translatingPlugin`

Constructor Summary
`ZoomPanGraphMouse()`
`ZoomPanGraphMouse(float in, float out)`
`ZoomPanGraphMouse(VisualizationViewer vv)` Deprecated. no need to pass a VisualizationViewer in constructor
`ZoomPanGraphMouse(VisualizationViewer vv, float in, float out)` Deprecated. no need to pass a VisualizationViewer

Method Summary
`void` | `setZoomAtMouse(boolean zoomAtMouse)`

Methods inherited from class edu.uci.ics.jung.visualization.control.PluggableGraphMouse
`add, mouseClicked, mouseDragged, mouseEntered, mouseExited, mouseMoved, mousePressed, mouseReleased, mouseWheelMoved, remove`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### translatingPlugin

    protected TranslatingGraphMousePlugin translatingPlugin

### scalingPlugin

    protected ScalingGraphMousePlugin scalingPlugin

Constructor Detail

### ZoomPanGraphMouse

    public ZoomPanGraphMouse(VisualizationViewer vv)

  Deprecated. no need to pass a VisualizationViewer in constructor

  create an instance with default zoom in/out values

Parameters:
  `vv` - the VisualizationViewer not used

### ZoomPanGraphMouse

    public ZoomPanGraphMouse(VisualizationViewer vv,
                             float in,
                             float out)

  Deprecated. no need to pass a VisualizationViewer

  create an instance with passed zoom in/out values

Parameters:
  `vv` - the VisualizationViewer - not used
  `in` - zoom in value
  `out` - zoom out value

### ZoomPanGraphMouse

    public ZoomPanGraphMouse()

### ZoomPanGraphMouse

    public ZoomPanGraphMouse(float in,
                             float out)

Method Detail

### setZoomAtMouse

    public void setZoomAtMouse(boolean zoomAtMouse)

  Parameters:
    `zoomAtMouse` - The zoomAtMouse to set.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD